Holger's Java API

## com.antelmann.image
Class GOCR

    java.lang.Object
      com.antelmann.image.GOCR

    @NativeCode(value="gocr048.exe")
    public class GOCR

extends Object

a wrapper around a command line OCR utility program; see http://jocr.sourceforge.net/

Since:
  12.10.2009, 15:00:15
Author:
  Holger Antelmann

Constructor Summary
`GOCR()` uses "C:\\tools\\bin\\gocr048.exe"
`GOCR(File execFile)`
`GOCR(String execFileName)`

Method Summary
`String` `getExecFileName()`
`String` `recognize(File imageFile)`
`String` `recognize(Image image)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOCR

    public GOCR()

  uses "C:\\tools\\bin\\gocr048.exe"

### GOCR

    public GOCR(String execFileName)

### GOCR

    public GOCR(File execFile)

Method Detail

### getExecFileName

    public String getExecFileName()

### recognize

    public String recognize(File imageFile)
                     throws IOException,
                            InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

### recognize

    public String recognize(Image image)
                     throws IOException,
                            InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads